.NET v3.5

Topics: Project Management Forum
Developer
Apr 30, 2012 at 9:39 PM
As you'll probably have all noticed, I posted a new release (3.4) on Sunday. It continues to include .NET V2.0 assemblies. That is not ideal for various reasons. What I want to know is there anyone still using 2.0 or has everybody moved to .NET 3.5 and NETCF 3.5. Please comment here if you are still using FX2.0.
Developer
May 22, 2012 at 7:43 AM

Just a reminder.  Is anyone still using .NET 2.0?

Feb 12, 2013 at 8:38 PM
A little late... but yes, we are still using Bluetooth on an XP Embedded using .NET 2.0 -- am I the only one?
Developer
Feb 22, 2013 at 11:23 AM
Looks a bit like it UncleSamSwiss.

There are a few Linq bits in the codebase but you should be able to reimplement them when you come to compile for 2.0. In fact it seems that there are three and it look like all be commented out to no great effect.
#if !FX3_5
        throw new NotImplementedException();
#else
So just change the project type, remove the FX3_5 symbol, make those few changes and hopefully that'll then work.
Jul 13, 2013 at 1:16 AM
I use.Net 2.0 version for flexibility...Don't want to force users who use my app to install more software to use one app
Dec 6, 2016 at 2:11 AM
Still now for those who might want to use Unity which does not support .NET above 2.0